package com.mx.dla.dda.contrato.transaccion.ws.titulos.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class ParamCargaTitulosTRDTO extends BaseDTO {
	
	private static final long serialVersionUID = 1L;
	private String nombreArchivo;
	private String idContrato;
	private String idListaActual;
	private String tipoLista;
	private String tipoCarga;
	private String expediente;
	private String fechaInicioListaNueva;
	
	public String getNombreArchivo() {
		return nombreArchivo;
	}
	public void setNombreArchivo(String nombreArchivo) {
		this.nombreArchivo = nombreArchivo;
	}
	public String getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(String idContrato) {
		this.idContrato = idContrato;
	}
	public String getIdListaActual() {
		return idListaActual;
	}
	public void setIdListaActual(String idListaActual) {
		this.idListaActual = idListaActual;
	}
	public String getTipoLista() {
		return tipoLista;
	}
	public void setTipoLista(String tipoLista) {
		this.tipoLista = tipoLista;
	}
	public String getTipoCarga() {
		return tipoCarga;
	}
	public void setTipoCarga(String tipoCarga) {
		this.tipoCarga = tipoCarga;
	}
	public String getExpediente() {
		return expediente;
	}
	public void setExpediente(String expediente) {
		this.expediente = expediente;
	}
	public String getFechaInicioListaNueva() {
		return fechaInicioListaNueva;
	}
	public void setFechaInicioListaNueva(String fechaInicioListaNueva) {
		this.fechaInicioListaNueva = fechaInicioListaNueva;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" nombreArchivo: _" + this.getNombreArchivo() + "_" + NEW_LINE);
		result.append(" idContrato: _" + this.getIdContrato() + "_" + NEW_LINE);
		result.append(" idListaActual: _" + this.getIdListaActual() + "_" + NEW_LINE);
		result.append(" tipoLista: _" + this.getTipoLista() + "_" + NEW_LINE);
		result.append(" tipoCarga: _" + this.getTipoCarga() + "_" + NEW_LINE);
		result.append(" expediente: _" + this.getExpediente() + "_" + NEW_LINE);
		result.append(" fechaInicioListaNueva: _" + this.getFechaInicioListaNueva() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
}
